# SWDB

# \APPLICATION

Application helper.

Contains app-related utilities.

## Summary

Methods
Properties
Constants
valid_id()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
final

File
  application/helper/APPLICATION_Helper.php
Package
  Default
Class hierarchy
  \Helper
  \APPLICATION

## Tags

category | Helper.

## Methods

### valid_id()

    valid_id(string  $class, integer  $value) : boolean

Checks if a value is a valid one in a constant class.

It will intentionally fail when used for a non constant class.

#### Parameters

string | $class | Name of the class.
integer | $value | Value to check.

#### Returns

boolean —

True if the value is defined, false otherwise.

#

static

## Tags

None found

### APPLICATION_Helper.php